<?php

//
// innovaphone mail attachment PHP class
// copyright (c) innovaphone 2012 - 2013
//

class InnovaphoneMailAttachment {

    protected $id;
    protected $type;
    protected $subtype;
    protected $encoding;
    protected $parameters;

    // class constructor
    public function __construct($id, $type, $subtype, $encoding, $parameters) {
        $this->id           = $id;
        $this->type         = $type;
        $this->subtype      = $subtype;
        $this->encoding     = $encoding;
        $this->parameters   = $parameters;
    }

    public function getId() {
        return $this->id;
    }

    public function getType() {
        return $this->type;
    }
    
    public function getSubtype() {
        return $this->subtype;
    }

    public function getEncoding() {
        return $this->encoding;
    }
    
    public function getFileName() {
        if(array_key_exists('filename', $this->parameters)) {
            return $this->parameters['filename'];
        }
        if(array_key_exists('name', $this->parameters)) {
            return $this->parameters['name'];
        }
        return "";
    }
    
    public function getFileExtension() {
        $parts = explode('.', $this->getFileName());
        if(count($parts) > 1) {
            return $parts[count($parts) - 1];
        }
        return "";
    }
    
    public function getCharset() {
        if(array_key_exists('charset', $this->parameters)) {
            return $this->parameters['charset'];
        }
        return "";
    }
}

?>